2019-05-25 00:41 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000477NetSurf[All Projects] Generalpublic2016-02-16 15:10
ReporterHarriet Bazley 
Assigned To 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.4 
Summary0000477: Round in circles on log-in
DescriptionAttempting to view any page on the Ravelry.com website will take you to the log-in screen https://www.ravelry.com/account/login (which is fair enough so far as it goes - this is a member-restricted site), but the log-in then repeatedly fails.

After supplying a valid name and password the requested original URL will appear in the URL bar briefly but the page is not rendered before you are once again returned to the log-in screen. (If you supply an incorrect password there is no attempt to transfer to the requested URL, so the data is clearly being received and acted upon at the far end.)

Once you do manage to get logged in (I haven't managed to work out what triggers it) you then have access to the whole site, with the absence of the JavaScript features, but cannot then log out. This is less of a problem but still puzzling.

The log (attached) suggests that the problem is occurring somewhere around "Failed creating namespace" (line 86 in log)
Additional Informationharriet added a note on Tue Jan 22 04:09:04 2013

Addendum: it is possible to log into the site using the test JavaScript version with Javascript *disabled*, but only on the ARMini. The identical version of Netsurf (825 js-on) running on the Iyonix requires the cookies to be deleted as previously.
(RISC OS 5.19/5.18)

Uploaded: logs of failed (on Iyonix) and succeeded (on ARMini) attempts to open http://www.ravelry.com and log in nusing same username and password.

harriet added a note on Fri Dec 21 22:53:57 2012

This is apparently a [lack of] JavaScript issue in addition to a cookies issue, since it is possible to log in to this site without prior cookie deletion using the test JavaScript version.

harriet added a note on Thu Nov 17 11:00:21 2011

Further to this: you have to open the login page *before* attempting to delete the Ravelry cookies - doing so 'in advance' doesn't work. Required sequence: display http://www.ravelry.com/account/login
Show cookies
Delete www.ravelry.com cookies
Log in



nobody added a note on Thu Jun 23 00:45:17 2011

The answer to logging-in is to deletes cookies, apparently (I knew I'd done something or other in the past....)

And the solution to the XSRF Netsurf/Sourceforge problem which prevents the posting of comments is still to log out of Sourceforge :-(

Harriet

Imported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=3324329 on Tue Dec 10 17:34:12 2013

TagsNo tags attached.
Fixed in CI build #
Reported in CI build #0825
URL of problem pagehttps://www.ravelry.com/account/login
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000061

Vincent Sanders (administrator)

This is a combination of cross site scripting cookie issues and javascript
Harriet Bazley

~0000079

Harriet Bazley (reporter)

Last edited: 2013-12-18 23:40

View 2 revisions

This issue is now FIXED in current Netsurf builds.

Dave Higton

~0000987

Dave Higton (developer)

I can confirm that it is fixed in CI#3021. Close the bug as Resolved!
Vincent Sanders

~0001286

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Status new => assigned
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2013-12-18 15:50 Vincent Sanders Reported in CI build # => 0825
2013-12-18 15:50 Vincent Sanders URL of problem page => https://www.ravelry.com/account/login
2013-12-18 15:50 Vincent Sanders Note Added: 0000061
2013-12-18 15:50 Vincent Sanders Assigned To Sourceforge Import placeholder =>
2013-12-18 15:50 Vincent Sanders Reproducibility have not tried => always
2013-12-18 15:50 Vincent Sanders Status assigned => acknowledged
2013-12-18 15:50 Vincent Sanders Resolution no change required => open
2013-12-18 15:50 Vincent Sanders Product Version => 3.0
2013-12-18 15:50 Vincent Sanders Description Updated View Revisions
2013-12-18 15:50 Vincent Sanders Additional Information Updated View Revisions
2013-12-18 15:51 Vincent Sanders File Added: log2.zip
2013-12-18 15:51 Vincent Sanders File Added: FailSucceed.zip
2013-12-18 23:40 Harriet Bazley Note Added: 0000079
2013-12-18 23:40 Harriet Bazley Note Edited: 0000079 View Revisions
2015-10-29 22:25 Dave Higton Note Added: 0000987
2015-10-30 09:12 Vincent Sanders Status acknowledged => resolved
2015-10-30 09:12 Vincent Sanders Resolution open => fixed
2015-10-30 09:12 Vincent Sanders Fixed in Version => 3.4
2016-02-16 15:10 Vincent Sanders Note Added: 0001286
2016-02-16 15:10 Vincent Sanders Status resolved => closed
+Issue History